import { EVENTS_LOADED, SET_ACTIVE_EVENT, UNSET_ACTIVE_EVENT } from '../constants/actionTypes.js';

export const activeEvent = (state = null, action) => {
    switch (action.type) {
        case EVENTS_LOADED:
            return action.payload.size === 1 ? action.payload.get(0).get('id') : null;
        case SET_ACTIVE_EVENT:
            return action.payload;
        case UNSET_ACTIVE_EVENT:
            return null;
        default:
            return state;
    }
};
